Bug 1514457 - Filtering by repository is not working in Packages view
Summary: Filtering by repository is not working in Packages view
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Partha Aji
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-17 13:43 UTC by Oleg Dovzhenko
Modified: 2019-04-01 20:27 UTC (History)
9 users (show)

Fixed In Version: tfm-rubygem-katello-3.4.5.51-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:37 UTC
Target Upstream Version:


Attachments (Terms of Use)
Group of scrrenshots for issue (359.78 KB, image/png)
2017-11-17 13:43 UTC, Oleg Dovzhenko
no flags Details
RH Sat Tools packages (203.92 KB, image/png)
2017-11-20 08:29 UTC, Oleg Dovzhenko
no flags Details
Zoo packages (106.79 KB, image/png)
2017-11-20 08:29 UTC, Oleg Dovzhenko
no flags Details
Not filtered custom repository (204.93 KB, image/png)
2017-11-20 08:29 UTC, Oleg Dovzhenko
no flags Details
Gofer package from RH Sat Tools (111.28 KB, image/png)
2017-11-20 08:29 UTC, Oleg Dovzhenko
no flags Details
Can not found package from custom repository (68.39 KB, image/png)
2017-11-20 08:43 UTC, Oleg Dovzhenko
no flags Details
foreman log (2.61 MB, text/plain)
2017-11-20 10:51 UTC, Oleg Dovzhenko
no flags Details
screenrecord (879.26 KB, application/octet-stream)
2018-01-18 11:20 UTC, Nikhil Kathole
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 22241 0 None None None 2018-01-10 21:47:49 UTC

Description Oleg Dovzhenko 2017-11-17 13:43:23 UTC
Created attachment 1354182 [details]
Group of scrrenshots for issue

Description of problem:
Packages view always show packages from first selected (filtered) repository


Version-Release number of selected component (if applicable):
Satellite 6.3.0 snap 24
satellite-6.3.0-21.0.beta.el7sat.noarch
foreman-1.15.6.3-1.el7sat.noarch
katello-3.4.5-6.el7sat.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create product.
2. Add custom repository 'zoo' to product, sync it.
3. Add Red Hat subscription.
4. Add Red Hat repository with Satellite too, sync it.
5. Navigate to packages.
6. Select Red Hat repository. RPMs related to it may be shown
7. Select custom repository 'zoo'.

Actual results:
Packages related to Red Hat repository shown

Expected results:
Packages related to 'zoo' repository should be shown

Comment 1 Brad Buckingham 2017-11-17 16:26:53 UTC
Oleg, is this a regression?

Comment 2 Oleg Dovzhenko 2017-11-20 08:27:41 UTC
Think this is a regression as working as expected on 6.2

Comment 3 Oleg Dovzhenko 2017-11-20 08:29:05 UTC
Created attachment 1355574 [details]
RH Sat Tools packages

Comment 4 Oleg Dovzhenko 2017-11-20 08:29:22 UTC
Created attachment 1355576 [details]
Zoo packages

Comment 5 Oleg Dovzhenko 2017-11-20 08:29:41 UTC
Created attachment 1355577 [details]
Not filtered custom repository

Comment 6 Oleg Dovzhenko 2017-11-20 08:29:57 UTC
Created attachment 1355578 [details]
Gofer package from RH Sat Tools

Comment 7 Oleg Dovzhenko 2017-11-20 08:43:29 UTC
Created attachment 1355604 [details]
Can not found package from custom repository

Comment 8 Oleg Dovzhenko 2017-11-20 10:51:25 UTC
Created attachment 1355675 [details]
foreman log

Comment 11 Oleksandr Shtaier 2017-12-19 15:19:14 UTC
Yes, that is a regression

'Package' page seems completely broken as once you select any repository you  cannot back to previous state even 'All repositories' selected

Pagination functionality is also stop to work

Comment 15 Partha Aji 2018-01-10 21:47:40 UTC
Connecting redmine issue http://projects.theforeman.org/issues/22241 from this bug

Comment 16 Satellite Program 2018-01-11 15:02:48 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/22241 has been resolved.

Comment 18 Nikhil Kathole 2018-01-18 11:19:56 UTC
VERIFIED

Version tested:
Satellite 6.3 snap 32

Steps:
1. Sync repos from manifest
2. Created custom product and sync it
3. Navigated to packages page

Filtering custom repo as well as red hat repositories works.

2018-01-18 06:13:29 5075d316 [app] [I] Started GET "/katello/api/v2/packages?organization_id=1&page=1&paged=true&per_page=20&repository_id=57&search=" for IP at 2018-01-18 06:13:29 -0500
2018-01-18 06:13:29 5075d316 [app] [I] Processing by Katello::Api::V2::PackagesController#index as JSON
2018-01-18 06:13:29 5075d316 [app] [I]   Parameters: {"organization_id"=>"1", "page"=>"1", "paged"=>"true", "per_page"=>"20", "repository_id"=>"57", "search"=>"", "api_version"=>"v2"}
2018-01-18 06:13:29 5075d316 [app] [I] Current user: admin (administrator)
2018-01-18 06:13:29 5075d316 [app] [I] Expire fragment views/tabs_and_title_records-3 (0.1ms)
2018-01-18 06:13:30 5075d316 [app] [I]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.4.5.51/app/views/katello/api/v2/packages/index.json.rabl within katello/api/v2/layouts/collection (122.1ms)
2018-01-18 06:13:30 5075d316 [app] [I] Completed 200 OK in 143ms (Views: 100.7ms | ActiveRecord: 27.5ms)

Comment 19 Nikhil Kathole 2018-01-18 11:20:37 UTC
Created attachment 1382859 [details]
screenrecord

Comment 20 Satellite Program 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.